/*
 * ProcessDOC.java
 *
 * Copyright 2003 by BRiSK Software,
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: ProcessDOC.java,v 1.2 2003/04/09 16:02:37 brisk Exp $
 */

// NOTE: for JDK 1.1.x get special collections
// from Sun http://java.sun.com/products/javabeans/infobus/collectionsreadme.html
// import com.sun.java.util.collections.*;
// NOTE: for JDK 1.2+
// import java.util.*;
import @COLLECTIONS@; // used by ant

/**
 * <code>ProcessDOC</code> is the interface used by MakeDocGUI to call
 * methods implement in the panels.
 * @author Jeffrey A. Krzysztow
 * @version 1.1.1
 */
public interface ProcessDOC {

	public void process();

	public HashMap getOptions();

	public void setOptions(HashMap options);

	public String getID();

	public void reset();

	public String getConfiguration();

	public void setConfiguration(String configuration);

}
