/*
 * ValueNotFoundException.java
 *
 * Copyright 2003 by BRiSK Software,
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: ValueNotFoundException.java,v 1.3 2003/05/23 21:44:31 brisk Exp $
 */

package com.BRiSK.INIFile;

/**
 * <code>ValueNotFoundException</code> exception is thrown when the key has no
 * value set
 * @author Jeffrey A. Krzysztow
 * @version 1.0
 */
public class ValueNotFoundException extends SomePartNotFoundException {
	ValueNotFoundException(String message) {
		super(message);
	}
}

